cURL
curl --request POST \
--url https://api.crunchz.app/api/send-message/voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "xxx@c.us",
"audioUrl": "https://github.com/CrunchzApp/asset-example/raw/main/examples/julie-voice.opus",
"reply_to": "message_id_here"
}
'import requests
url = "https://api.crunchz.app/api/send-message/voice"
payload = {
"contact_id": "xxx@c.us",
"audioUrl": "https://github.com/CrunchzApp/asset-example/raw/main/examples/julie-voice.opus",
"reply_to": "message_id_here"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'xxx@c.us',
audioUrl: 'https://github.com/CrunchzApp/asset-example/raw/main/examples/julie-voice.opus',
reply_to: 'message_id_here'
})
};
fetch('https://api.crunchz.app/api/send-message/voice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"status": "<string>",
"message": "<string>",
"timestamp": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Messages
Send Voice
Send voice messages and audio clips to WhatsApp users for personal and dynamic communication experiences.
POST
/
send-message
/
voice
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Contact ID.
Required string length:
10 - 50Pattern:
^[0-9]+@[cs]\.us$Example:
"xxx@c.us"
Audio URL ( can be .opus or .mp3 )
Maximum string length:
2048Pattern:
^https?://.*\.(opus|mp3|wav|ogg|aac|m4a)$Example:
"https://github.com/CrunchzApp/asset-example/raw/main/examples/julie-voice.opus"
Message ID to reply to (optional)
Required string length:
1 - 100Pattern:
^[A-Za-z0-9_-]+$Example:
"message_id_here"
Was this page helpful?
⌘I